body{
    background-color: aquamarine;
    margin: 0;
    width: 100vw;
    height: 100vh;
}

.tools
{
	padding: 10px;
	border-radius:3px;
	position:absolute;
	background-color:rgb(255 255 255 / 50%);
	top: 5px;	
	left: 5px;	
	padding: 10px;
	width: 350px;
	opacity: 0%;
	display: flex;
}

.tools.force_visible, .tools:hover
{
	opacity: 100%;
}

.tools input, .tools button 
{
	background-color:rgb(255 255 255 / 60%);
	border: none;
	width: 100px;
	margin: auto;
}

.tools button
{
	width: auto;
}

.tools .submit
{
	width: auto;
	padding-right: 10px;
	padding-left: 10px;
}

.cell{
    box-sizing: border-box;
    margin: 0;
    border: solid;
    border-color: whitesmoke;
    border-width: 1px;
    padding: 0;
    width: 10px;
    max-width: 10px;
    height: 10px;
    max-height: 10px;
}

.dead_cell {
	background-color: antiquewhite;
}

.alive_cell {
    background-color: rebeccapurple;
}

#world_wrapper{
    width: 100%;
    height: 100%;
}

.cell.last{
    background-color: chocolate;
}

tr{
    margin:0;
    padding:0;
    border: none;
    font-size: 0;
    border-color: yellowgreen;
}

#world{
    background-color: antiquewhite;
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
    border-collapse: collapse;
    border-color: red;
}
